package com.rxida.xilinedu.sys.service;

import com.rxida.xilinedu.sys.dao.UserDao;
import com.rxida.xilinedu.sys.entity.User;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

@Service
@Transactional
public class UserService extends BaseService<UserDao, User> {
    @Resource
    private UserDao userDao;

    public List<User> findAll() {
        return userDao.findList(new User());
    }

    public List<User> findList(User user) {
        return userDao.findList(user);
    }

    public User get(User user) {
        return userDao.get(user);
    }
}
