package com.rxida.xilinedu.sys.web;

import com.rxida.xilinedu.sys.common.JsonResult;
import com.rxida.xilinedu.sys.entity.Menu;
import com.rxida.xilinedu.sys.entity.User;
import com.rxida.xilinedu.sys.service.MenuService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@RestController
@CrossOrigin
@RequestMapping("/menu")
public class MenuController {
    @Autowired
    private MenuService menuService;

    @RequestMapping("/tree")
    public List<Menu> tree() {
        Menu m = new Menu();
        m.setId("1");
        List<Menu> allList = menuService.findAllList();
        return Menu.getChild(m, allList).getItems();
    }

    @RequestMapping("/list")
    public JsonResult list() {
        List<Menu> allList = menuService.findAllList();
        JsonResult result = new JsonResult();
        result.setMsg("success");
        result.setCode(JsonResult.SUCCESS);
        Map<String, Object> data = new HashMap<>();
        List<Menu> l = new ArrayList<>();
        Menu.sortList(l, allList, "1", true);
        Menu m = new Menu();
        m.setId("1");
        data.put("items", Menu.getChild(m, allList).getItems());
        data.put("total", l.size());
        result.setData(data);
        return result;
    }

    @RequestMapping("/save")
    public void save(Menu menu) {
        // menuService.save(menu);
    }
}
