package com.rxida.xilinedu.sys.web;

import com.rxida.xilinedu.sys.common.JsonResult;
import com.rxida.xilinedu.sys.entity.User;
import com.rxida.xilinedu.sys.service.UserService;
import org.apache.shiro.SecurityUtils;
import org.apache.shiro.subject.Subject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/user")
@CrossOrigin
public class UserController {
    @Autowired
    private UserService userService;

    @PostMapping("/allList")
    public List<User> findAll() {
        return userService.findAll();
    }

    @PostMapping("/list")
    public JsonResult findList(User user) {
        JsonResult result = new JsonResult();
        result.setMsg("success");
        result.setCode(JsonResult.SUCCESS);
        User u = userService.get(new User("1"));

        Map<String, Object> data = new HashMap<>();
        List<User> l = new ArrayList<>();
        l.add(u);
        data.put("items", l);
        data.put("total", 1);
        result.setData(data);
        return result;
    }

    @PostMapping("/save")
    public JsonResult save(User user) {
        userService.save(user);
        JsonResult result = new JsonResult();
        return result;
    }

    @RequestMapping("/info")
    public JsonResult info() {
        Subject subject = SecurityUtils.getSubject();
        User user = (User) subject.getPrincipal();
        JsonResult result = new JsonResult();
        result.setData(user);

        User u = userService.get(new User("1"));
        result.setData(u);
        result.setCode(JsonResult.SUCCESS);
        result.setMsg("success");
        return result;
    }
    @GetMapping("/info")
    public JsonResult info(String token) {
        Subject subject = SecurityUtils.getSubject();
        User user = (User) subject.getPrincipal();
        JsonResult result = new JsonResult();
        result.setData(user);
        User u = userService.get(new User("1"));
        result.setData(u);
        result.setCode(JsonResult.SUCCESS);
        result.setMsg("success");
        return result;
    }
    @RequestMapping("/infoById")
    public User infoById(User user) {
        return userService.get(user);
    }
}
