package com.rxida.xilinedu.sys.common;

import com.auth0.jwt.JWT;
import com.auth0.jwt.algorithms.Algorithm;

import java.util.Date;

public class JWTUtil {
    static long EXPIRE_TIME = 10000;
    static String SECRET = "Rxida@2019";

    public static JWTToken create(String username) {
        Date date = new Date(System.currentTimeMillis() + EXPIRE_TIME);
        Algorithm algorithm = Algorithm.HMAC256(SECRET);
        String username1 = JWT.create().withClaim("username", username)//到期时间
                .withExpiresAt(date) //创建一个新的JWT，并使用给定的算法进行标记
                .sign(algorithm);
        return new JWTToken(username1);
    }
}
